public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/rizin/
Date: Fri,  9 Apr 2021 09:52:48 +0000 (UTC)	[thread overview]
Message-ID: <1617961965.e64c97da5d53b1205efeba729fc9bd10546f25e8.slyfox@gentoo> (raw)

commit:     e64c97da5d53b1205efeba729fc9bd10546f25e8
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  9 09:44:30 2021 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Fri Apr  9 09:52:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e64c97da

dev-util/rizin: use ${EPYTHON} instead of python3

Reported-by: Agostino Sarubbo
Closes: https://bugs.gentoo.org/781701
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 dev-util/rizin/rizin-0.2.0-r1.ebuild | 84 ++++++++++++++++++++++++++++++++++++
 1 file changed, 84 insertions(+)

diff --git a/dev-util/rizin/rizin-0.2.0-r1.ebuild b/dev-util/rizin/rizin-0.2.0-r1.ebuild
new file mode 100644
index 00000000000..313278e8751
--- /dev/null
+++ b/dev-util/rizin/rizin-0.2.0-r1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python3_{6,7,8,9})
+
+# This is the commit that the CI for the release commit used
+BINS_COMMIT="a80fd0d56d538d07a05ef01e29c8cb430a4f9d72"
+
+inherit meson python-any-r1
+
+DESCRIPTION="reverse engineering framework for binary analysis"
+HOMEPAGE="https://rizin.re/"
+
+SRC_URI="https://github.com/rizinorg/rizin/releases/download/v${PV}/rizin-src-v${PV}.tar.xz
+	test? ( https://github.com/rizinorg/rizin-testbins/archive/${BINS_COMMIT}.tar.gz -> rizin-testbins-${BINS_COMMIT}.tar.gz )"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="Apache-2.0 BSD LGPL-3 MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	sys-apps/file
+	app-arch/lz4:0=
+	dev-libs/capstone:0=
+	dev-libs/libuv:0=
+	dev-libs/libzip:0=
+	dev-libs/openssl:0=
+	dev-libs/tree-sitter
+	dev-libs/xxhash
+	sys-libs/zlib:0=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}"
+
+S="${WORKDIR}/${PN}-v${PV}"
+
+src_prepare() {
+	default
+
+	# TODO: is there a better way to override it in meson?
+	# Maybe we can inject something to '[binaries]'
+	sed "s/py3_exe = import('python').find_installation('python3')/py3_exe = import('python').find_installation('${EPYTHON}')/" \
+		-i subprojects/sdb/meson.build || die
+
+	local py_to_mangle=(
+		librz/core/cmd_descs/cmd_descs_generate.py
+		subprojects/lz4-1.9.3/contrib/meson/meson/GetLz4LibraryVersion.py
+		subprojects/lz4-1.9.3/contrib/meson/meson/InstallSymlink.py
+		subprojects/lz4-1.9.3/tests/test-lz4-list.py
+		subprojects/lz4-1.9.3/tests/test-lz4-speed.py
+		subprojects/lz4-1.9.3/tests/test-lz4-versions.py
+		sys/clang-format.py
+		test/fuzz/scripts/fuzz_rz_asm.py
+		test/scripts/gdbserver.py
+	)
+
+	python_fix_shebang "${py_to_mangle[@]}"
+
+	if use test; then
+		mv "${WORKDIR}/rizin-testbins-${BINS_COMMIT}" "${S}/test/bins" || die
+	fi
+}
+
+src_configure() {
+	local emesonargs=(
+		-Dcli=enabled
+		-Duse_sys_capstone=enabled
+		-Duse_sys_magic=enabled
+		-Duse_sys_libzip=enabled
+		-Duse_sys_zlib=enabled
+		-Duse_sys_lz4=enabled
+		-Duse_sys_xxhash=enabled
+		-Duse_sys_openssl=enabled
+		-Duse_sys_tree_sitter=enabled
+
+		$(meson_use test enable_tests)
+		$(meson_use test enable_rz_test)
+	)
+	meson_src_configure
+}


             reply	other threads:[~2021-04-09  9:52 UTC|newest]

Thread overview: 58+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-09  9:52 Sergei Trofimovich [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-09  2:54 [gentoo-commits] repo/gentoo:master commit in: dev-util/rizin/ John Helmert III
2025-02-01 23:08 John Helmert III
2025-02-01 23:08 John Helmert III
2025-02-01 23:08 John Helmert III
2025-01-20 23:56 John Helmert III
2024-12-15  4:57 John Helmert III
2024-09-02  6:00 John Helmert III
2024-07-28 18:51 John Helmert III
2024-07-28 18:51 John Helmert III
2024-07-28  2:39 Sam James
2024-05-11 19:08 Sam James
2024-04-21 23:33 John Helmert III
2024-04-21 23:33 John Helmert III
2024-04-15  7:25 Matthew Smith
2024-03-04  5:21 John Helmert III
2024-03-04  5:21 John Helmert III
2023-12-15  7:36 Sam James
2023-10-25 18:19 John Helmert III
2023-09-25  4:49 John Helmert III
2023-09-25  4:49 John Helmert III
2023-09-17  0:06 John Helmert III
2023-09-10 18:04 John Helmert III
2023-09-10 18:04 John Helmert III
2023-09-10 18:04 John Helmert III
2023-08-31  4:21 Sam James
2023-08-31  4:21 Sam James
2023-04-30 23:36 John Helmert III
2023-04-30 23:36 John Helmert III
2023-04-19  6:07 Sam James
2023-04-16 18:52 John Helmert III
2023-02-19 16:46 John Helmert III
2023-02-19  0:58 John Helmert III
2022-10-29 21:32 Sam James
2022-09-10 15:29 John Helmert III
2022-09-09 17:24 John Helmert III
2022-09-09 17:24 John Helmert III
2022-07-04 20:01 John Helmert III
2022-07-04 20:01 John Helmert III
2022-05-11  2:11 Sam James
2022-03-02  2:43 John Helmert III
2022-01-10  6:10 John Helmert III
2022-01-09  7:39 John Helmert III
2021-11-20 23:30 John Helmert III
2021-11-20 17:26 John Helmert III
2021-09-09  4:22 Sam James
2021-07-02  5:58 Sergei Trofimovich
2021-06-10 17:51 Sergei Trofimovich
2021-05-15 13:58 Sergei Trofimovich
2021-05-01 20:44 Sergei Trofimovich
2021-04-24 23:11 Sergei Trofimovich
2021-04-24 12:37 Sergei Trofimovich
2021-04-09  9:58 Sergei Trofimovich
2021-04-08 20:57 John Helmert III
2021-04-06 19:03 Sergei Trofimovich
2021-04-02  9:54 Sergei Trofimovich
2021-03-31 15:42 John Helmert III
2021-03-29 19:35 Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1617961965.e64c97da5d53b1205efeba729fc9bd10546f25e8.slyfox@gentoo \
    --to=slyfox@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox